package com.luca.pilot.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * <p>
 * 患者任务计划
 * </p>
 *
 * @author Lt
 * @since 2021-11-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Document(collection="plan_task")
public class PlanTask extends AbstractAuditingEntity {

    /**
     * id
     */
    private Long id;

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 项目id
     */
    private String projectCode;

    /**
     * 计划id
     */
    private Long planId;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 任务描述
     */
    private String description;

    /**
     * 循环类型(1:周 2:月 3:项目)
     */
    private Integer loopType;

    /**
     * 执行类型(循环类型=周 1:指定星期 2:循环周内几次;  循环类型=月 1:从当月几日开始 2:指定日期)
     */
    private Integer executeType;

    /**
     * 执行日期(cron表达式简化)
     */
    private String executeCron;

    /**
     * 周执行频次(循环类型为周类型,循环周内几次时设值)
     */
    private Integer weekFrequency;

    /**
     * 是否启用(0:禁用 1:启用)
     */
    private Integer enabled;

    /**
     * 计划目标id
     */
    private Long targetId;
    /**
     * 窗口期
     */
    private Integer windowPhase;

    /**
     * 预约时间
     */
    private String reserveTime;

    /**
     * 共需多少天
     */
    private Integer finishDay;

    /**
     * 任务类型(0:患者任务 1:医生随访)
     */
    private Integer taskType;

    /**
     * 一日需完成次数
     */
    private Integer taskCount;

    /**
     * 是否开启窗口期 1开启 0 未开启
     */
    private Integer isWindowPhase;

    /**
     * 是否循环 1是 0 否
     */
    private Integer isCirculation;

    /**
     * 第几天循环
     */
    private Integer circulationDay;

    /**
     * 第几天开始
     */
    private Integer beginDay;

    /**
     * 入组类型随访结束于第几天，0为至随访结束
     */
    private Integer endDay;

    /**
     * 分组id
     */
    private Long groupId;

}
