package com.luca.pilot.entity;


import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * <p>
 * 患者任务计划与模块关联表
 * </p>
 *
 * @author Lt
 * @since 2021-11-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Document(collection="plan_task_module_relate")
public class PlanTaskModuleRelate extends AbstractAuditingEntity {

    /**
     * id
     */
    private Long id;

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 关联model类型
     */
    private String relationType;

    /**
     * 关联id
     */
    private Long relationId;

    /**
     * 患者任务计划id
     */
    private Long planTaskId;

}
